#ifndef KMNGATPTEST_MSG_DEFS_H
#define KMNGATPTEST_MSG_DEFS_H

/*
   *  Object          : crysatptest_msg_defs.h
   *  State           :  %state%
   *  Creation date   :  Wed March 23 17:26:15 2009
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief this file contains the definitions for the HOST-SEP protocl.
   *         
   *
   *  \version kmngatptest_msg_defs.h#1:csrc:3
   *  \author Annag
   *  \remarks Copyright (C) 2004 by Discretix Technologies Ltd.
   *           All Rights reserved
   */

/************************ Includes *****************************/
#include "msg_defs.h"


/************************ Defines ******************************/


DxUint32_t DX_SEP_PARSER_KMNG_ImportExportSymKeys(DxUint32_t* msg);

DxUint32_t DX_SEP_PARSER_KMNG_ImportExportRSAKeys(DxUint32_t* msg);

DxUint32_t DX_SEP_PARSER_KMNG_AES_ActivateKeys(DxUint32_t* msg);

DxUint32_t DX_SEP_PARSER_KMNG_DES_ActivateKeys(DxUint32_t* msg);

DxUint32_t DX_SEP_PARSER_KMNG_HMAC_ActivateKeys(DxUint32_t* msg);

DxUint32_t DX_SEP_PARSER_KMNG_RSA_V15_ActivateKeys(DxUint32_t* msg);

DxUint32_t DX_SEP_PARSER_KMNG_RSA_PRIME_ActivateKeys(DxUint32_t* msg);

DxUint32_t DX_SEP_PARSER_KMNG_RSA_V21_ActivateKeys(DxUint32_t* msg);

#endif

